---
stages:
  - build
  - test

"Build Docker Image":
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - mkdir -p /kaniko/.docker
    - echo "{\"auths\":{\"${CI_REGISTRY}\":{\"auth\":\"$(printf "%s:%s" "${CI_REGISTRY_USER}" "${CI_REGISTRY_PASSWORD}" | base64 | tr -d '\n')\"}}}" > /kaniko/.docker/config.json
    - >-
      /kaniko/executor
      --context "${CI_PROJECT_DIR}"
      --dockerfile "${CI_PROJECT_DIR}/Dockerfile"
      --destination "${CI_REGISTRY_IMAGE}:latest"
  rules:
    - if: '$CI_PIPELINE_SOURCE == "web"'
      when: manual
      allow_failure: true

"Run Robot Tests":
  stage: test
  image: ${CI_REGISTRY_IMAGE}:latest
  services:
    - name: selenium/standalone-chrome:4.1.2-20220217
      alias: selenium-hub
  before_script: >-
    if  [[ $CI_COMMIT_BRANCH == renovate* ]] ;
    then
      python3 -m pip install -r requirements.txt
    fi
  script:
    - robot
      --outputdir Reports
      --timestampoutputs
      --variable private_key_password:${PRIVATE_KEY_PASSWORD}
      --variable IS_REMOTE:True
      --variable SELENIUM_REMOTE_URL:http://selenium-hub:4444/wd/hub
      TestCases
  artifacts:
    when: always
    paths:
      - "**/Reports/**"
    expire_in: 1 month
